This method returns a list of the indexed assets in the specified index. By default, the platform returns your indexed assets sorted by creation date, with the newest at the top of the list.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
index-idstringRequired
The unique identifier of the index for which the platform will retrieve the indexed assets.
Query parameters
pageintegerOptionalDefaults to 1
A number that identifies the page to retrieve.
Default: 1.
page_limitintegerOptionalDefaults to 10
The number of items to return on each page.
Default: 10.
Max: 50.
sort_bystringOptionalDefaults to created_at
The field to sort on. The following options are available:
- `updated_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was updated.
- `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created.
**Default**: `created_at`.
sort_optionstringOptionalDefaults to desc
The sorting direction. The following options are available:
- `asc`
- `desc`
**Default**: `desc`.
statuslist of enumsOptional
Filter by one or more indexing task statuses. The following options are available:
- `ready`: The indexed asset has been successfully uploaded and indexed.
- `pending`: The indexed asset is pending.
- `queued`: The indexed asset is queued.
- `indexing`: The indexed asset is being indexed.
- `failed`: The indexed asset indexing task failed.
To filter by multiple statuses, specify the `status` parameter for each value:
```
status=ready&status=validating
```
Allowed values:
filenamestringOptional
Filter by filename.
durationobjectOptional
Filter by duration in seconds. Pass an object with gte and/or lte for range filtering.
For exact match, set both to the same value.
fpsobjectOptional
Filter by frames per second. Pass an object with gte and/or lte for range filtering.
For exact match, set both to the same value.
widthobjectOptional
Filter by width in pixels. Pass an object with gte and/or lte for range filtering.
For exact match, set both to the same value.
heightobjectOptional
Filter by height in pixels. Pass an object with gte and/or lte for range filtering.
For exact match, set both to the same value.
sizeobjectOptional
Filter by size in bytes. Pass an object with gte and/or lte for range filtering.
For exact match, set both to the same value.
created_atstringOptional
Filter indexed assets by the creation date and time of their associated indexing tasks, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”). The platform returns indexed assets created on or after the specified date and time.
updated_atstringOptional
This filter applies only to indexed assets updated using the [`PUT`](/v1.3/api-reference/videos/update) method of the `/indexes/{index-id}/indexed-assets/{indexed-asset-id}` endpoint. It filters indexed assets by the last update date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the indexed assets that were last updated on the specified date at or after the given time.
user_metadatamap from strings to strings or doubles or booleansOptional
To enable filtering by custom fields, you must first add user-defined metadata to your video by calling the [`PUT`](/v1.3/api-reference/videos/update) method of the `/indexes/:index-id/indexed-assets/:indexed-asset-id` endpoint.
Examples:
- To filter on a string: `?category=recentlyAdded`
- To filter on an integer: `?batchNumber=5`
- To filter on a float: `?rating=9.3`
- To filter on a boolean: `?needsReview=true`
Response
The indexed assets in the specified index have successfully been retrieved.
datalist of objects
An array that contains up to page_limit indexed assets.
page_infoobject
An object that provides information about pagination.
The field to sort on. The following options are available:
updated_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the item was updated.
created_at: Sorts by the time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the item was created.
Default: created_at.
The sorting direction. The following options are available:
asc
desc
Default: desc.
Filter by one or more indexing task statuses. The following options are available:
ready: The indexed asset has been successfully uploaded and indexed.
pending: The indexed asset is pending.
queued: The indexed asset is queued.
indexing: The indexed asset is being indexed.
failed: The indexed asset indexing task failed.
To filter by multiple statuses, specify the status parameter for each value:
status=ready&status=validating
This filter applies only to indexed assets updated using the PUT method of the /indexes/{index-id}/indexed-assets/{indexed-asset-id} endpoint. It filters indexed assets by the last update date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”). The platform returns the indexed assets that were last updated on the specified date at or after the given time.
To enable filtering by custom fields, you must first add user-defined metadata to your video by calling the PUT method of the /indexes/:index-id/indexed-assets/:indexed-asset-id endpoint.